$colorTabText: #636E7E
$colorTabTextHover: #000521
$colorBlockTitle: #a2a8b2

@mixin tabs-link-before
  content: ''
  width: 20px
  height: 20px
  position: relative
  margin-right: 10px

// -- Tabs

.tabs

  display: flex
  position: relative
  align-items: center

  &__list
    display: flex
    flex-grow: 1
    flex-shrink: 0
    justify-content: flex-start
    align-items: center
    border-bottom: 1px solid #E0E0E0

  &__item
    margin-right: 2rem

    // link a styles

    .tab-link
      position: relative
      display: flex
      justify-content: center
      font-size: 14px
      align-items: center
      color: $colorTabText
      padding: .8rem 0
      vertical-align: top
      transition: .1s ease-out

      &:hover
        color: $colorTabTextHover

    // active bottom line styles

    &.is-active
      .tab-link
        color: $colorTabTextHover

        &:after
          content: ''
          position: absolute
          width: 100%
          height: rem(4)
          bottom: 0
          background: $colorMain
          border-top-left-radius: rem(20)
          border-top-right-radius: rem(20)

    &:nth-child(1)
      .tab-link
        &:before
          @include tabs-link-before
          background: url('~@/assets/img/svg/account_tabs/tab_svg_1.svg') center center no-repeat

    &:nth-child(2)
      .tab-link
        &:before
          @include tabs-link-before
          background: url('~@/assets/img/svg/account_tabs/tab_svg_2.svg') center center no-repeat

    &:nth-child(3)
      .tab-link
        &:before
          @include tabs-link-before
          background: url('~@/assets/img/svg/account_tabs/tab_svg_3.svg') center center no-repeat

    &:nth-child(4)
      .tab-link
        &:before
          @include tabs-link-before
          background: url('~@/assets/img/svg/account_tabs/tab_svg_4.svg') center center no-repeat

    &:nth-child(5)
      .tab-link
        &:before
          @include tabs-link-before
          background: url('~@/assets/img/svg/account_tabs/tab_svg_5.svg') center center no-repeat

    &:nth-child(6)
      .tab-link
        &:before
          @include tabs-link-before
          background: url('~@/assets/img/svg/account_tabs/tab_svg_6.svg') center center no-repeat

    &:nth-child(7)
      .tab-link
        &:before
          @include tabs-link-before
          background: url('~@/assets/img/svg/account_tabs/tab_svg_7.svg') center center no-repeat

    &:last-child
      right: 0
      position: absolute
      margin-right: 0

  &__log-out
    display: flex
    justify-content: flex-end
    align-items: center
    font-size: 14px
    width: 80px
    right: 0
    color: black
    cursor: pointer

    &:after
      content: ''
      width: 20px
      height: 30px
      position: relative
      background: url('~@/assets/img/svg/account_tabs/tab_log_out.svg') center center no-repeat
      margin-left: 3px

  &__Page
    display: flex
    justify-content: space-around
    padding: 0
    margin-top: 20px

// -- Blocks

.block
  display: flex
  flex-direction: column
  position: relative
  padding: 15px 20px 15px
  background: white
  border-radius: 16px
  border: 1px solid #E0E0E0
  overflow: hidden
  text-align: left

  &__left
    //flex-grow: 2
    width: 70%
    margin-right: 9px
    margin-bottom: 30px

  &__right
    //flex-grow: 1
    width: 30%
    height: 100%
    margin-left: 9px

  &__without-pad
    padding: 0

  &__row
    display: flex
    justify-content: space-between
    margin: 30px 0

  &__title
    display: inline-block
    margin-bottom: 11px
    font-weight: 500
    text-transform: uppercase
    color: $colorBlockTitle

  &__blackTitle
    font-size: 16px
    font-weight: 500
    color: #000521
    margin: 33px 0 12px

  &__titleLine
    position: absolute
    height: 1px
    width: 100%
    background: rgba(224, 224, 224, 0.5)
    transform: translate(-30px, 31px)

  &__separator
    height: 1px
    width: 100%
    background: rgba(224, 224, 224, 0.5)
    &.full-width
      width: 110%
      left: -20px

  &__line
    height: 1px
    width: 100%
    background: rgba(224, 224, 224, 0.5)
